Subject: Re: Creating a library from a dll
From: [email-masked] (Triple-T)

27 Dec 1998 16:55:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Cc: [email-masked]

Any other options ?  I don't think this version od ld is in 20.1, I 
downloaded it last night ld --version gives me GNU ld 2.9.4 and it has 
these i386 options.
i386pe:
  --base_file <basefile>
  --dll
  --file-alignment <size>
  --heap <size>
  --image-base <address>
  --major-image-version <number>
  --major-os-version <number>
  --major-subsystem-version <number>
  --minor-image-version <number>
  --minor-os-version <number>
  --minor-subsystem-version <number>
  --section-alignment <size>
  --stack <size>
  --subsystem <name>[:<version>]
  --support-old-code

DJ Delorie wrote:
> 
> Triple-T wrote:
> > Say I have a dll that I want to use with my program but I don't have a
> > library for it so I can't use just do a
> 
> <plug>Get the new improved linker!  The latest version of ld (may be in B20.1, is
> in gas snapshots) allows you to list the .dll right on the link line!  The
> linker generates the import library internally, and fixes up problems with
> missing @nn's.</plug>

-- 

---------------------------------------------------------------------
Great spirits often encounter violent opposition from mediocre minds.
                                               -- Albert Einstein
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".